package com.datarecovery.master.sdk.ad;

import com.atmob.mediation.api.AdError;
import com.atmob.mediation.api.ad.AtmobAdLoadCallback;
import com.atmob.mediation.api.ad.interstitial.AtmobInterstitialAdListener;

public abstract class InterstitialListenerAdapter implements AtmobInterstitialAdListener, AtmobAdLoadCallback {
    public void onShow() {

    }

    public void onClose() {

    }

    public void onFail(String s) {

    }

    public void onClick() {

    }

    @Override
    public final void onInterstitialShow() {
        onShow();
    }

    @Override
    public final void onInterstitialShowFail(AdError adError) {
        onFail(adError.toString());
    }

    @Override
    public final void onInterstitialAdClick() {
        onClick();
    }

    @Override
    public final void onInterstitialClosed() {
        onClose();
    }

    @Override
    public void onAdLoaded() {

    }

    @Override
    public final void onLoadFailed(AdError adError) {
        onFail(adError.toString());
    }
}
